AnsweredAssumed Answered

undefined references of libEsriRuntimeQt.so

Question asked by Macxx26 on Dec 10, 2015
Latest reply on Jan 5, 2016 by Macxx26

Hi,

 

I installed the ArcGIS Qt SDK in my Ubuntu 14.04.3 LTS virtual machine and now I'm trying to compile the ArcGIS template project. I already fixed the problem with the libc++.so.1 (see Error when compiling simple program ).

 

But there are still some errors (check screenshot). I tried the solution of Drew Dowling in sample project not compliing, map.h not found :

sudo apt-get install mesa-common-dev freeglut3 freeglut3-dev libglu1-mesa libglu1-mesa-dev libglui-dev binutils-gold packaging-dev build-essential

 

The errors are still there. I have no idea how to fix these errors. Please help me!

 

Thanks in advance! Please feel free to contact me if you need any further information.

 

Best regards,

Maximilian

Outcomes